#include <bits/stdc++.h>
using namespace std;

int main()
{
    int n;
    cin>>n;
    pair<double,double>a[n];
    for(int i=0;i<n;++i)
    {
        cin>>a[i].second>>a[i].first;
        a[i].first=a[i].first/100;
    }
    double ans=0.0000;

    sort(a,a+n);
    double pref=0.0000;
    for(int i=n-1;i>=0;--i)
    {
        pref+=a[i].second;
        if(pref*a[i].first>ans)
        {
            ans=pref*a[i].first;
        }
    }

    cout<<fixed<<setprecision(4)<<ans<<endl;
    return 0;

}